<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<title>CSS Introduction and Selectors</title>
	<!-- 
		Internal styling
			- it allows us to add css within a page without the use of the style attribute per element. In internal styling you can select multiple elemets to style within the html where the internal style is.

			However, inline styling is given more priority than the internal styling

			The problem with the internal styles is it adds more code to your HTML. It makes your html document bulkier.

	 -->
	 <!-- Implementing Styling in a page
	 	Inline styling
	 		- is done when we add a style attribute to our tag. This will allow us to change the styles of an element.
	 		- the values before the colon(:) are the style properties of an element that we want to change and the value after the colon are the values we would like to assign to a property

	 		syntx:
	 		<tag style="property:value; property:value;"></tag>

	 		However, HTML was made to determine the layout of the page by creating element not for styling

	  -->


	 <!-- Internl CSS -->
	 <!-- <style type="text/css">
	 	h2 {
	 		color: green !important;
	 		font-size: 20px;
	 	}
	 </style> -->
	 <!-- !important
			- important rule is an exception that you can apply to your styles that tells the browser "make this CSS rule apply, no matter what."
	  -->


	 <!-- Best Practice: External Style -->
	 <link rel="stylesheet" href="./style.css">

</head>
<body>
<!-- Setting File/Folder
	- inside batch-165 create s06 folder
	- inside the s06 folder create discussion folder
	- inside the discussion folder create two files:
		- index.html
		- style.css
	after setting up our files and folders
		- go to your gitbash change directory to batch-165/s06
			- git status
			- git init
			- git add .
			- git status
			- git commit -m "Initial commit"
	open you gitlab and create s06 project 
		untick readme and other checkboxes
			- get the git remote add <url>, copy and go to your bash and paste copied command

 -->

 <!-- navbar -->
 	<nav id="top">
 		<a href="#landing">Zuitt</a>
 		<div>
 			<a href="#landing">Landing</a>
 			<a href="#register">Register</a>
 		</div>
 	</nav>
 <!-- end of navbar -->


 	
 	<!-- inline style -->
 	<!-- <h2 style="color: red;">Magandang araw!</h2> -->
 	<h1>Mabuhay! Welcome to Philippines</h1>
 	<section id="landing">
 		<!-- ids are unique identifier of an element -->
 		<h2>Welcome to Zuitt</h2>
 		<h3 id="zuitt-motto">Opportunities for Everyone, Everywhere!</h3>

 		<!-- image -->
 		<img src="https://place-puppy.com/450x450" alt="puppy">

 		<ol id="bootcamp-learning-list">
 			<li class="offering-item">Day Classes</li>
 			<li class="offering-item">Night Classes</li>
 			<li class="offering-item">Intro to Coding</li>
 		</ol>


 		<!-- back to top -->
 		<a href="#top">Back to Top</a>
 	</section>
 	<hr>
 	<!-- register -->
 	<section>
 		<h2>Register</h2>
 		<form>
 			<label for="first-name">First Name:</label>
 			
 			<input type="text" id="first-name" required autocomplete>
 			
 			<label for="last-name">Last Name:</label>
 			
 			<input type="text" id="last-name" required autocomplete>
 			
 			<label for="emailAdd">Email Address</label>
 		
 			<input type="email" id="emailAdd" required autocomplete>
 	
 			<br>
 			<button type="submit">Apply Now!</button>
 			<br><br>
 		</form>
 		<a href="#top">Back to Top</a>
 	</section>
 	<!-- end of register -->


</body>
</html>